#
# Conditional build:
%bcond_without	tests	# unit tests
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define		module		msgpack
%define		pypi_name	msgpack-python
Summary:	Binary-based efficient data interchange format
Summary(pl.UTF-8):	Binarny, efektywny format wymiany danych
Name:		python-%{module}
# keep 1.0.5 here for python2 support
Version:	1.0.5
Release:	1
License:	Apache v2.0
Group:		Development/Languages/Python
Source0:	https://files.pythonhosted.org/packages/source/m/msgpack/%{module}-%{version}.tar.gz
# Source0-md5:	da12a9f0a65a803ec005219f6095d0a3
URL:		http://msgpack.org/
BuildRequires:	libstdc++-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-pytest
%endif
%endif
%if %{with python3}
BuildRequires:	python3-Cython
BuildRequires:	python3-devel >= 1:3.5
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-pytest
%endif
%endif
Requires:	python-modules >= 1:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MessagePack is a binary-based efficient object serialization library.
It enables to exchange structured objects between many languages like
JSON. But unlike JSON, it is very fast and small.

%description -l pl.UTF-8
MessagePack to biblioteka do binarnej, efektywnej serializacji
obiektów. Pozwala wymieniać strukturalne obiekty pomiędzy wieloma
językami, podobnie jak JSON. W odróżnieniu od JSON-a jest bardzo
szybka i mała.

%package -n python3-%{module}
Summary:	Binary-based efficient data interchange format
Summary(pl.UTF-8):	Binarny, efektywny format wymiany danych
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.5

%description -n python3-%{module}
MessagePack is a binary-based efficient object serialization library.
It enables to exchange structured objects between many languages like
JSON. But unlike JSON, it is very fast and small.

%description -n python3-%{module} -l pl.UTF-8
MessagePack to biblioteka do binarnej, efektywnej serializacji
obiektów. Pozwala wymieniać strukturalne obiekty pomiędzy wieloma
językami, podobnie jak JSON. W odróżnieniu od JSON-a jest bardzo
szybka i mała.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
%{__python} -m pytest test
%endif
%endif

%if %{with python3}
/usr/bin/cython3 --cplus msgpack/_cmsgpack.pyx
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
%{__python3} -m pytest test
%endif
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc COPYING README.md
%dir %{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}/*.py[co]
%{py_sitescriptdir}/msgpack-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc COPYING README.md
%dir %{py3_sitedir}/%{module}
%attr(755,root,root) %{py3_sitedir}/%{module}/_cmsgpack.cpython-*.so
%{py3_sitedir}/%{module}/*.py
%{py3_sitedir}/%{module}/__pycache__
%{py3_sitedir}/msgpack-%{version}-py*.egg-info
%endif
%changelog
* Mon Jan 06 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-msgpack.git;a=log;h=master

* Mon Jan 06 2025 adamg@pld-linux.org <Adam Gołębiowski> 89543e0
- md5 updated

* Mon Jan 06 2025 adamg@pld-linux.org <Adam Gołębiowski> e28c6a7
- updated to 1.0.5 (last version to support python2)

* Sun Oct 22 2023 Jakub Bogusz <qboosh@pld-linux.org> d6487a6
- updated to 1.0.2

* Sat Apr 02 2022 Jan Palus <atler@pld-linux.org> 46acafe
- Release 6 (by relup.sh)

* Sat Apr 02 2022 Jan Palus <atler@pld-linux.org> f859478
- regenerete cython source

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 8ad9311
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> f51b9ae
- rebuild with python 3.10

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 1029f4d
- rebuild with separate debuginfo build-ids

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 9327c37
- release 2 (by relup.sh)

* Mon Sep 14 2020 Jakub Bogusz <qboosh@pld-linux.org> 919dc77
- updated dependencies, actually run tests

* Sat Apr 25 2020 Jan Rękorajski <baggins@pld-linux.org> 2fb16dc
- up to 1.0.0

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> b132df4
- rebuild with python 3.8
- release 3 (by relup.sh)

* Wed Jul 04 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 3ad1420
- release 2 (by relup.sh)

* Wed Jul 04 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 278786e
- up to 0.5.6

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> a3fb364
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 4bb73c2
- python 3.6
- release 2 (by relup.sh)

* Sat Sep 17 2016 Elan Ruusamäe <glen@delfi.ee> a575d63
- update BR

* Sat Sep 17 2016 Elan Ruusamäe <glen@delfi.ee> 2d81bbd
- up to 0.4.8

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> b300a6a
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 91706d9
- release 4 (by relup.sh)

